Appearance
Parameters
Path parameters
userId string Format:
uuidThe identifier of the user to update.
Request body
JSON
{
"firstName": "John",
"lastName": "Doe",
"active": true,
"permissionLevel": "NORMAL",
"groups": {
"added": [
1,
3
],
"removed": [
7
]
},
"connectedTenants": {
"added": [
"8811e13d-8359-4a63-90c8-4c178b02e564",
"bae25401-b6c1-465e-b2e6-607a2b40f854"
],
"removed": [
"e34d6c1c-da01-4dd8-95a7-8bc5d2beab8f"
]
}
}
Response
The user was successfully updated.
| Error code | Description |
|---|---|
administrators-cannot-be-assigned-connected-tenants | Administrators cannot be assigned to tenants, they automatically get access to all connected tenants. |
only-normal-users-can-be-assigned-user-groups | Only normal users can be assigned to user groups. |
tenant-not-found | One or more of the given tenant IDs do not exist or is not connected to the current tenant. |
user-already-has-group | The user is already a member of one of the user groups you are trying to add them to. |
user-not-found | No user was found with the given ID. |